Skip to main content
GET
/
api
/
v1
/
llm
/
vector_stores
/
{vector_store_id}
/
file_batches
/
{batch_id}
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.vector_stores.get_file_batch(vector_store_id="vs_abc123", batch_id="vsfb_abc123")

    # Handle response
    print(res)
{
  "id": "vsfb_abc123",
  "object": "vector_store.file_batch",
  "created_at": 1704067200,
  "vector_store_id": "vs_abc123",
  "status": "in_progress",
  "file_counts": {
    "in_progress": 3,
    "completed": 0,
    "failed": 0,
    "cancelled": 0,
    "total": 3
  }
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Path Parameters

vector_store_id
string
required

The ID of the vector store that the file batch belongs to.

batch_id
string
required

The ID of the file batch being retrieved.

Response

200 - application/json

OK

A batch of files attached to a vector store.

id
string
required

The identifier, which can be referenced in API endpoints.

object
any
required

The object type, which is always 'vector_store.file_batch'.

created_at
integer
required

The Unix timestamp (in seconds) for when the vector store files batch was created.

Required range: -9007199254740991 <= x <= 9007199254740991
vector_store_id
string
required

The ID of the vector store that the File is attached to.

status
enum<string>
required

The status of the vector store files batch. 'in_progress' means files are being processed, 'completed' means all files have been processed, 'cancelled' means the batch was cancelled, 'failed' means the batch failed.

Available options:
in_progress,
completed,
cancelled,
failed
file_counts
object
required

File processing status counts.